Bug 831092 - Review Request: ghc-readline - A Haskell interface to the GNU readline library
Review Request: ghc-readline - A Haskell interface to the GNU readline library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 03:22 EDT by Shakthi Kannan
Modified: 2012-08-01 14:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-01 14:16:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shakthi Kannan 2012-06-12 03:22:35 EDT
Spec URL: http://shakthimaan.fedorapeople.org/SPECS/ghc-readline.spec
SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/ghc-readline-1.0.1.0-1.fc16.src.rpm
Description: A Haskell interface to the GNU readline library
Fedora Account System Username: shakthimaan
Comment 1 Shakthi Kannan 2012-06-12 03:23:54 EDT
$  rpmlint ghc-readline.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ghc-readline-1.0.1.0-1.fc16.x86_64.rpm 
ghc-readline.x86_64: W: spelling-error %description -l en_US csh -> sch, cs, ch
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$  rpmlint ghc-readline-devel-1.0.1.0-1.fc16.x86_64.rpm 
ghc-readline-devel.x86_64: W: spelling-error %description -l en_US csh -> sch, cs, ch
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$  rpmlint ghc-readline-1.0.1.0-1.fc16.src.rpm 
ghc-readline.src: W: spelling-error %description -l en_US csh -> sch, cs, ch
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Successful Koji builds for F16, F17 and F18 respectively:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4153431
http://koji.fedoraproject.org/koji/taskinfo?taskID=4153430
http://koji.fedoraproject.org/koji/taskinfo?taskID=4153432
Comment 2 Narasimhan 2012-07-21 06:32:58 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint -i ghc-readline-1.0.1.0-1.fc16.src.rpm ghc-readline-1.0.1.0-1.fc16.x86_64.rpm ghc-readline-devel-1.0.1.0-1.fc16.x86_64.rpm ../ghc-readline.spec 
ghc-readline.src: W: spelling-error %description -l en_US csh -> sch, cs, ch
The value of this tag appears to be misspelled. Please double-check.

ghc-readline.x86_64: W: spelling-error %description -l en_US csh -> sch, cs, ch
The value of this tag appears to be misspelled. Please double-check.

ghc-readline-devel.x86_64: W: spelling-error %description -l en_US csh -> sch, cs, ch
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 3 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+]MUST: The License field in the package spec file must match the actual license.
GPLv2
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.
md5sum readline-1.0.1.0.tar.gz 
eade9576def53ed293628a2f8580007e  readline-1.0.1.0.tar.gz

md5sum readline-1.0.1.0.tar.gz 
eade9576def53ed293628a2f8580007e  readline-1.0.1.0.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
Checked with rpm -e ghc-readline.
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the packages. Loaded System.Console.Readline into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 3 Shakthi Kannan 2012-07-21 07:26:45 EDT
Thanks for the review.

New Package SCM Request
=======================
Package Name: ghc-readline
Short Description: A Haskell interface to the GNU readline library
Owners: shakthimaan
Branches: f16 f17 f18
InitialCC: haskell-sig
Comment 4 Jon Ciesla 2012-07-21 10:39:16 EDT
Git done (by process-git-requests).

No need to request f18 currently, it's devel at this point.
Comment 5 Fedora Update System 2012-07-22 00:58:14 EDT
ghc-readline-1.0.1.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-readline-1.0.1.0-1.fc16
Comment 6 Fedora Update System 2012-07-22 00:58:25 EDT
ghc-readline-1.0.1.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-readline-1.0.1.0-1.fc17
Comment 7 Fedora Update System 2012-07-23 16:22:24 EDT
Package ghc-readline-1.0.1.0-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghc-readline-1.0.1.0-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10997/ghc-readline-1.0.1.0-1.fc17
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-08-01 14:16:11 EDT
ghc-readline-1.0.1.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-08-01 14:18:48 EDT
ghc-readline-1.0.1.0-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.